import type { TJsConfig } from "../../types/v1/js";
import type { TSurvey } from "../../types/v1/surveys";
import { VNode } from "preact";
import { IErrorHandler } from "./lib/errors";
interface AppProps {
    config: TJsConfig;
    survey: TSurvey;
    closeSurvey: () => Promise<void>;
    errorHandler: IErrorHandler;
}
export default function App({ config, survey, closeSurvey, errorHandler }: AppProps): VNode;
export {};
