import { h } from "preact";
import { TResponseData } from "../../../types/v1/responses";
import type { TSurveyConsentQuestion } from "../../../types/v1/surveys";
interface ConsentQuestionProps {
    question: TSurveyConsentQuestion;
    onSubmit: (data: TResponseData) => void;
    lastQuestion: boolean;
    brandColor: string;
    storedResponseValue: string | null;
    goToNextQuestion: (answer: TResponseData) => void;
    goToPreviousQuestion?: (answer?: TResponseData) => void;
}
export default function ConsentQuestion({ question, onSubmit, lastQuestion, brandColor, storedResponseValue, goToNextQuestion, goToPreviousQuestion, }: ConsentQuestionProps): h.JSX.Element;
export {};
