import type { PlacementType } from "@formbricks/types/js";
import { h, VNode } from "preact";
export default function Modal({ children, isOpen, placement, clickOutside, darkOverlay, highlightBorderColor, close, }: {
    children: VNode;
    isOpen: boolean;
    placement: PlacementType;
    clickOutside: boolean;
    darkOverlay: boolean;
    highlightBorderColor: string | null;
    close: () => void;
}): h.JSX.Element;
