import { h } from "preact";
import { TResponseData } from "../../../types/v1/responses";
import type { TSurveyMultipleChoiceMultiQuestion } from "../../../types/v1/surveys";
interface MultipleChoiceMultiProps {
    question: TSurveyMultipleChoiceMultiQuestion;
    onSubmit: (data: TResponseData) => void;
    lastQuestion: boolean;
    brandColor: string;
    storedResponseValue: string[] | null;
    goToNextQuestion: (answer: TResponseData) => void;
    goToPreviousQuestion?: (answer: TResponseData) => void;
}
export default function MultipleChoiceMultiQuestion({ question, onSubmit, lastQuestion, brandColor, storedResponseValue, goToNextQuestion, goToPreviousQuestion, }: MultipleChoiceMultiProps): h.JSX.Element;
export {};
