import { h } from "preact";
import { TResponseData } from "../../../types/v1/responses";
import type { TSurveyRatingQuestion } from "../../../types/v1/surveys";
interface RatingQuestionProps {
    question: TSurveyRatingQuestion;
    onSubmit: (data: TResponseData) => void;
    lastQuestion: boolean;
    brandColor: string;
    storedResponseValue: number | null;
    goToNextQuestion: (answer: TResponseData) => void;
    goToPreviousQuestion?: (answer?: TResponseData) => void;
}
export default function RatingQuestion({ question, onSubmit, lastQuestion, brandColor, storedResponseValue, goToNextQuestion, goToPreviousQuestion, }: RatingQuestionProps): h.JSX.Element;
export {};
