import type { InitConfig } from "../../../types/js";
import { MissingFieldError, MissingPersonError, NetworkError, NotInitializedError, Result } from "./errors";
export declare const initialize: (c: InitConfig) => Promise<Result<void, MissingFieldError | NetworkError | MissingPersonError>>;
export declare const checkInitialized: () => Result<void, NotInitializedError>;
