import { z } from "zod";
export declare const ZUserNotificationSettings: z.ZodObject<{
    alert: z.ZodRecord<z.ZodString, z.ZodBoolean>;
    weeklySummary: z.ZodRecord<z.ZodString, z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    alert?: Record<string, boolean>;
    weeklySummary?: Record<string, boolean>;
}, {
    alert?: Record<string, boolean>;
    weeklySummary?: Record<string, boolean>;
}>;
export type TUserNotificationSettings = z.infer<typeof ZUserNotificationSettings>;
