import { h } from "preact";
import { TResponseData } from "../../../types/v1/responses";
import type { TSurveyCTAQuestion } from "../../../types/v1/surveys";
interface CTAQuestionProps {
    question: TSurveyCTAQuestion;
    onSubmit: (data: TResponseData) => void;
    lastQuestion: boolean;
    brandColor: string;
    storedResponseValue: number | null;
    goToNextQuestion: (answer: TResponseData) => void;
    goToPreviousQuestion?: (answer?: TResponseData) => void;
}
export default function CTAQuestion({ question, onSubmit, lastQuestion, brandColor, storedResponseValue, goToNextQuestion, goToPreviousQuestion, }: CTAQuestionProps): h.JSX.Element;
export {};
