import { h } from "preact";
import { TResponseData } from "../../../types/v1/responses";
import type { TSurveyMultipleChoiceSingleQuestion } from "../../../types/v1/surveys";
interface MultipleChoiceSingleProps {
    question: TSurveyMultipleChoiceSingleQuestion;
    onSubmit: (data: TResponseData) => void;
    lastQuestion: boolean;
    brandColor: string;
    storedResponseValue: string | null;
    goToNextQuestion: (answer: TResponseData) => void;
    goToPreviousQuestion?: (answer: TResponseData) => void;
}
export default function MultipleChoiceSingleQuestion({ question, onSubmit, lastQuestion, brandColor, storedResponseValue, goToNextQuestion, goToPreviousQuestion, }: MultipleChoiceSingleProps): h.JSX.Element;
export {};
