import { h } from "preact";
import { TResponseData } from "../../../types/v1/responses";
import type { TSurveyNPSQuestion } from "../../../types/v1/surveys";
interface NPSQuestionProps {
    question: TSurveyNPSQuestion;
    onSubmit: (data: TResponseData) => void;
    lastQuestion: boolean;
    brandColor: string;
    storedResponseValue: number | null;
    goToNextQuestion: (answer: TResponseData) => void;
    goToPreviousQuestion?: (answer?: TResponseData) => void;
}
export default function NPSQuestion({ question, onSubmit, lastQuestion, brandColor, storedResponseValue, goToNextQuestion, goToPreviousQuestion, }: NPSQuestionProps): h.JSX.Element;
export {};
