import { h } from "preact";
import { TResponseData } from "../../../types/v1/responses";
import type { TSurveyOpenTextQuestion } from "../../../types/v1/surveys";
interface OpenTextQuestionProps {
    question: TSurveyOpenTextQuestion;
    onSubmit: (data: TResponseData) => void;
    lastQuestion: boolean;
    brandColor: string;
    storedResponseValue: string | null;
    goToNextQuestion: (answer: TResponseData) => void;
    goToPreviousQuestion?: (answer: TResponseData) => void;
}
export default function OpenTextQuestion({ question, onSubmit, lastQuestion, brandColor, storedResponseValue, goToNextQuestion, goToPreviousQuestion, }: OpenTextQuestionProps): h.JSX.Element;
export {};
