import type { TDisplay, TDisplayInput } from "../../../types/v1/displays";
import type { TJsConfig } from "../../../types/v1/js";
import { NetworkError, Result } from "./errors";
export declare const createDisplay: (displayCreateRequest: TDisplayInput, config: TJsConfig) => Promise<Result<TDisplay, NetworkError>>;
export declare const markDisplayResponded: (displayId: string, config: TJsConfig) => Promise<Result<void, NetworkError>>;
