import type { TJsConfig } from "../../../types/v1/js";
import type { TResponse, TResponseInput } from "../../../types/v1/responses";
import { NetworkError, Result } from "./errors";
export declare const createResponse: (responseInput: TResponseInput, config: any) => Promise<Result<TResponse, NetworkError>>;
export declare const updateResponse: (responseInput: TResponseInput, responseId: string, config: TJsConfig) => Promise<Result<TResponse, NetworkError>>;
