import { z } from "zod";
export type TTag = z.infer<typeof ZTag>;
export declare const ZTag: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    name: z.ZodString;
    environmentId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    name?: string;
    environmentId?: string;
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    name?: string;
    environmentId?: string;
}>;
export type TTagsCount = z.infer<typeof ZTagsCount>;
export declare const ZTagsCount: z.ZodArray<z.ZodObject<{
    tagId: z.ZodString;
    _count: z.ZodObject<{
        _all: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        _all?: number;
    }, {
        _all?: number;
    }>;
}, "strip", z.ZodTypeAny, {
    tagId?: string;
    _count?: {
        _all?: number;
    };
}, {
    tagId?: string;
    _count?: {
        _all?: number;
    };
}>, "many">;
